Bug 2118410 - koji download-task behaviour change breaking Fedora CI
Summary: koji download-task behaviour change breaking Fedora CI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike McLean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-15 18:41 UTC by Miroslav Vadkerti
Modified: 2022-09-13 01:29 UTC (History)
8 users (show)

Fixed In Version: koji-1.30.0-1.fc36 koji-1.30.0-1.el8 koji-1.30.0-1.el9 koji-1.30.0-1.fc37 koji-1.30.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-31 10:46:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Vadkerti 2022-08-15 18:41:35 UTC
Description of problem:

Koji changed behaviour when downloading tasks, seem the examples below:

$ rpm -q koji
koji-1.28.1-1.fc34.noarch

$ koji download-task --arch noarch --arch x86_64 --arch src 90835853
Downloading [1/15]: python-unversioned-command-3.11.0~rc1-2.fc38.noarch.rpm
[====================================] 100%  10.12 KiB
Downloading [2/15]: python3.11-debugsource-3.11.0~rc1-2.fc38.x86_64.rpm
[====================================] 100%   3.15 MiB
Downloading [3/15]: python3-idle-3.11.0~rc1-2.fc38.x86_64.rpm
...
And with the new version

$ rpm -q koji
koji-1.29.1-4.fc36.noarch

$ koji download-task --arch noarch --arch x86_64 --arch src 90835853
Download files names conflict, use --dirpertask

Version-Release number of selected component (if applicable):
koji-1.29.1-4.fc36.noarch


How reproducible:
100%

Steps to Reproduce:
See description

Actual results:
Koji works differently when downloading tasks.

Expected results:
Original behaviour is kept, same files can be replaced. Koji can report that same files will be overwritten and give the user an option how to avoid overwriting of files via `--dirpertask`.


Additional info:
This bug breaks Fedora CI and is another breaking change introduced via https://pagure.io/koji/c/6713d1651d73b1b9d5dec37d0c5e0d85fa41a3c5. We should roll back that breaking change and introduce it more carefully. We should start gating koji on Fedora CI validation.

Comment 1 Fedora Update System 2022-08-29 20:25:45 UTC
FEDORA-EPEL-2022-42c9410b12 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-42c9410b12

Comment 2 Fedora Update System 2022-08-29 20:25:47 UTC
FEDORA-2022-8a6c6a7211 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-8a6c6a7211

Comment 3 Fedora Update System 2022-08-29 20:25:48 UTC
FEDORA-2022-b6f267b811 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-b6f267b811

Comment 4 Fedora Update System 2022-08-29 20:25:50 UTC
FEDORA-2022-2ef99a1662 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-2ef99a1662

Comment 5 Fedora Update System 2022-08-30 06:59:27 UTC
FEDORA-2022-8a6c6a7211 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-8a6c6a7211`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-8a6c6a7211

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-08-30 09:44:14 UTC
FEDORA-2022-b6f267b811 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-b6f267b811`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-b6f267b811

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-08-30 10:06:14 UTC
FEDORA-2022-2ef99a1662 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-2ef99a1662`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-2ef99a1662

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-08-30 10:11:51 UTC
FEDORA-EPEL-2022-42c9410b12 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-42c9410b12

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-08-30 10:14:29 UTC
FEDORA-EPEL-2022-2f8a386b2c has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-2f8a386b2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-08-31 10:46:21 UTC
FEDORA-2022-2ef99a1662 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-09-07 11:00:45 UTC
FEDORA-EPEL-2022-42c9410b12 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-09-07 11:05:16 UTC
FEDORA-EPEL-2022-2f8a386b2c has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-09-12 17:42:31 UTC
FEDORA-2022-8a6c6a7211 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-09-13 01:29:21 UTC
FEDORA-2022-b6f267b811 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.